# Центр мероприятий в режиме «Fight»

* Добавьте свой уникальный идентификатор оператора.
* Задайте в параметре «targetModule» значение «iframe».
* Введите «eventId», обратите внимание на необходимость использовать уникальный идентификатор файткарда, т.е., UFC FIGHT NIGHT, идентификатор мероприятия – «707».
* Найдите уникальный «fightID», к которому вы бы хотели переходить при первоначальной загрузке центра мероприятий, т.е., в данном случае «fightID» – «6667»
* Добавьте параметр «initialContext», состоящий из «fightId»
  * значение параметра «View» должен быть: «Fight», дабы обеспечить возможность перехода к режиму всего файткарда
  * параметр «fightId» данного боя.

```javascript
initialContext: {
          view: "Fight",
          fightId: "fightID"
        }
```

{% embed url="<https://codesandbox.io/s/muddy-firefly-jpjdui>" %}

Образец кода:

```javascript
const { MessageTopics } = frontRowSeat.eventCentreUtils;
const eventCentreInstance = frontRowSeat.eventCentre({
        operator: "operatorIDName",
        sport: "ufc",
        targetModule: "full",
        eventId: "eventID",
        version: "version number",
        targetElementSelector: "#img-arena-event-centre",
        language: "en",
        initialContext: {
          view: "Fight",
          fightId: "fightID"
        }
      });
```

Обратите внимание на тот факт, что, если вы не хотите разрешать навигацию, а хотите ограничить режим просмотр только определенным боем, это можно сделать, передав параметр «targetModule:» со значением «fight».

{% embed url="<https://codesandbox.io/s/silly-microservice-zejkxw>" %}

Обратите внимание на тот факт, что в указанном выше центре мероприятий отсутствует кнопка «Назад».

Образец кода:

```javascript
const { MessageTopics } = frontRowSeat.eventCentreUtils;
const eventCentreInstance = frontRowSeat.eventCentre({
        operator: "operatorIDName",
        sport: "ufc",
        targetModule: "fight",
        eventId: "681",
        version: "dev/beac4ea5",
        targetElementSelector: "#img-arena-event-centre",
        language: "en",
        initialContext: {
          view: "Fight",
          fightId: "6667"
        }
      });
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/ufc-5.0/ufc-5.0-russian/moduli-centra-meropriyatii-ufc/centr-meropriyatii-v-rezhime-fight.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
